<?php
/**
 * Copyright (c) 2016 OBiBa. All rights reserved.
 *
 * This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

?>

<h3 class="no-top-margin">
  <?php if (empty($hide_title)) print obiba_mica_commons_get_localized_field($population, 'name') ?>
</h3>

<?php if (!empty($population->description)): ?>
  <p>
    <?php print obiba_mica_commons_get_localized_field($population, 'description'); ?>
  </p>
<?php endif; ?>

<?php if (!empty($population->recruitment->generalPopulationSources)
  || !empty($population->recruitment->studies)
  || !empty($population->recruitment->specificPopulationSources)
  || !empty($population->recruitment->otherSpecificPopulationSource)
  || !empty($population->recruitment->otherSource)
  || !empty($population->recruitment->info)
): ?>
  <h4><?php print t('Sources of Recruitment') ?></h4>

  <div class="scroll-content-tab">
    <table class="table table-striped">
      <tbody>
      <?php if (!empty($population->recruitment->generalPopulationSources)): ?>
        <tr>
          <th><?php print t('General Population') ?></th>
          <td><?php obiba_mica_commons_iterate_field($population->recruitment->generalPopulationSources); ?></td>
        </tr>
      <?php endif; ?>

      <?php if (!empty($population->recruitment->studies)): ?>
        <tr>
          <th><?php print t('Participants from Existing Studies') ?></th>
          <td>
            <?php
            $studies = obiba_mica_commons_get_localized_dtos_field($population->recruitment, 'studies');
            ?>
            <?php obiba_mica_commons_iterate_field($studies); ?>
          </td>
        </tr>
      <?php endif; ?>

      <?php if (!empty($population->recruitment->specificPopulationSources)): ?>
        <tr>
          <th><?php print t('Specific Population') ?></th>
          <td><?php obiba_mica_commons_iterate_field($population->recruitment->specificPopulationSources); ?></td>
        </tr>
      <?php endif; ?>

      <?php if (!empty($population->recruitment->otherSpecificPopulationSource)): ?>
        <tr>
          <th><?php print t('Other Specific Population') ?></th>
          <td><?php print obiba_mica_commons_get_localized_field($population->recruitment, 'otherSpecificPopulationSource'); ?></td>
        </tr>
      <?php endif; ?>

      <?php if (!empty($population->recruitment->otherSource)): ?>
        <tr>
          <th><?php print t('Supplementary Information') ?></th>
          <td><?php print obiba_mica_commons_get_localized_field($population->recruitment, 'otherSource'); ?></td>
        </tr>
      <?php endif; ?>

      <?php if (!empty($population->recruitment->info)): ?>
        <tr>
          <th><?php print t('Supplementary Information') ?></th>
          <td><?php print obiba_mica_commons_get_localized_field($population->recruitment, 'info'); ?></td>
        </tr>
      <?php endif; ?>
      </tbody>
    </table>
  </div>
<?php endif; ?>

<?php if ((isset($population->selectionCriteria->gender) && ($population->selectionCriteria->gender === 0 || $population->selectionCriteria->gender === 1))
  || !empty($population->selectionCriteria->ageMin) || !empty($population->selectionCriteria->ageMax)
  || !empty($population->selectionCriteria->countriesIso)
  || !empty($population->selectionCriteria->territory)
  || !empty($population->selectionCriteria->ethnicOrigin)
  || !empty($population->selectionCriteria->healthStatus)
  || !empty($population->selectionCriteria->otherCriteria)
  || !empty($population->selectionCriteria->info)
): ?>
  <h4><?php print t('Selection Criteria') ?></h4>
  <div class="scroll-content-tab">
    <table class="table table-striped">
      <tbody>
      <?php if (isset($population->selectionCriteria->gender) && ($population->selectionCriteria->gender === 0 || $population->selectionCriteria->gender === 1)): ?>
        <tr>
          <th><?php print t('Gender') ?></th>
          <td><?php print  obiba_mica_study_get_gender($population->selectionCriteria->gender); ?></td>
        </tr>
      <?php endif; ?>

      <?php if (!empty($population->selectionCriteria->ageMin) || !empty($population->selectionCriteria->ageMax)): ?>
        <tr>
          <th><?php print t('Age') ?></th>
          <td>
            <?php !empty($population->selectionCriteria->ageMin) ? print t('Minimum') . ' '
              .$population->selectionCriteria->ageMin
              . ((!empty($population->selectionCriteria->ageMax))? ', ':'' ): NULL;?>
            <?php !empty($population->selectionCriteria->ageMax) ? print t('Maximum') . ' '
              . $population->selectionCriteria->ageMax : NULL; ?>
          </td>
        </tr>
      <?php endif; ?>

      <?php if (!empty($population->selectionCriteria->countriesIso)): ?>
        <tr>
          <th><?php print t('Country'); ?></th>
          <td>
            <?php obiba_mica_commons_iterate_field($population->selectionCriteria->countriesIso,
              'countries_country_lookup', 'iso3', 'name'); ?>
          </td>
        </tr>
      <?php endif; ?>

      <?php if (!empty($population->selectionCriteria->territory)): ?>
        <tr>
          <th><?php print t('Territory') ?></th>
          <td>
            <?php print obiba_mica_commons_get_localized_field($population->selectionCriteria, 'territory'); ?>
          </td>
        </tr>
      <?php endif; ?>

      <?php if (!empty($population->selectionCriteria->ethnicOrigin)): ?>
        <tr>
          <th><?php print t('Ethnic Origin') ?></th>
          <td>
            <?php $ehtnic_origins = obiba_mica_commons_get_localized_dtos_field($population->selectionCriteria, 'ethnicOrigin'); ?>
            <?php obiba_mica_commons_iterate_field($ehtnic_origins); ?>
          </td>
        </tr>
      <?php endif; ?>

      <?php if (!empty($population->selectionCriteria->criteria)): ?>
        <t>
          <th><?php print t('Criteria') ?></th>
          <td><?php print implode(', ', $population->selectionCriteria->criteria) ?></td>
        </t>
      <?php endif ?>

      <?php if (!empty($population->selectionCriteria->healthStatus)): ?>
        <tr>
          <th><?php print t('Health Status') ?></th>
          <td>
            <?php $health_status = obiba_mica_commons_get_localized_dtos_field($population->selectionCriteria, 'healthStatus'); ?>
            <?php obiba_mica_commons_iterate_field($health_status); ?>
          </td>
        </tr>
      <?php endif; ?>

      <?php if (!empty($population->selectionCriteria->otherCriteria)): ?>
        <tr>
          <th><?php print t('Other') ?></th>
          <td><?php print obiba_mica_commons_get_localized_field($population->selectionCriteria, 'otherCriteria'); ?></td>
        </tr>
      <?php endif; ?>

      <?php if (!empty($population->selectionCriteria->info)): ?>
        <tr>
          <th><?php print t('Supplementary Information') ?></th>
          <td><?php print obiba_mica_commons_get_localized_field($population->selectionCriteria, 'info'); ?></td>
        </tr>
      <?php endif; ?>
      </tbody>
    </table>
  </div>
<?php endif; ?>

<?php if (!empty($population->numberOfParticipants->participant->number)
  || !empty($population->numberOfParticipants->sample->number)
  || !empty($population->info)
): ?>
  <h4><?php print t('Sample Size') ?></h4>

  <div class="scroll-content-tab">
    <table class="table table-striped">
      <tbody>

      <?php if (!empty($population->numberOfParticipants->participant->number)): ?>
        <tr>
          <th><?php print t('Number of Participants') ?></th>
          <td>
            <p>
              <?php print obiba_mica_commons_format_number($population->numberOfParticipants->participant->number) ?>
              <?php if (!empty($population->numberOfParticipants->participant->noLimit)): ?>
                (<?php print t('No Limit'); ?>)
              <?php endif; ?>
              <?php if (!empty($population->numberOfParticipants->info)): ?>

            <p><?php print obiba_mica_commons_get_localized_field($population->numberOfParticipants, 'info'); ?></p>
            <?php endif; ?>
            </p>
          </td>
        </tr>
      <?php endif; ?>

      <?php if (!empty($population->numberOfParticipants->sample->number)): ?>
        <tr>
          <th><?php print t('Number of Participants with Biological Samples')
            ?></th>
          <td>
            <p>
              <?php print obiba_mica_commons_format_number($population->numberOfParticipants->sample->number) ?>
              <?php if (!empty($population->numberOfParticipants->sample->noLimit)): ?>
                (<?php print t('No Limit'); ?>)
              <?php endif; ?>
            </p>
          </td>
        </tr>
      <?php endif; ?>

      <?php if (!empty($population->info)): ?>
        <tr>
          <th><?php print t('Supplementary Information') ?></th>
          <td><p> <?php print obiba_mica_commons_get_localized_field($population, 'info'); ?></p></td>
        </tr>
      <?php endif; ?>

      </tbody>
    </table>
  </div>
<?php endif; ?>

<?php if (!empty($attachments)): ?>
      <h4><?php print variable_get_value('files_documents_label'); ?></h4>
  <?php print $attachments; ?>
<?php endif; ?>